<template>
    <span class="app-preloader">
        <img src="../../assets/preloader.gif" v-if="loading" />
    </span>
</template>

<script>
    export default {
        name: "Preloader",
        props: {
            loading: {
                type: Boolean
            }
        }
    }
</script>

<style scoped lang="scss">
    .app-preloader {
        position: absolute;
        transform: translateY(-50%);

        img {
            width: 25px;
        }
    }
</style>